<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
  
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
$of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

$enable_disable = array('active','inactive'); 
$disable_enable = array('disable','enable'); 
$cycle_fx = array('blindX','blindY', 'blindZ', 'cover','curtainX','curtainY','fade','fadeZoom','growX','growY','none','scrollUp','scrollDown','scrollLeft','scrollRight','scrollHorz','scrollVert','shuffle','slideX','slideY','toss','turnUp','turnDown','turnLeft','turnRight','uncover','wipe','zoom');

//HOMEPAGE BLOCKS
$of_options_homepage_blocks = array(
	"enabled" => array (
		"placebo" => "placebo", //REQUIRED!
		"index-main-slider" => __('Featured Posts', 'lioit'),
		"index-latest-posts" => __('Latest Posts', 'lioit'),
		"index-carousel-posts" => __('Carousel Posts', 'lioit'),
		"index-big-boxs" => __('Big Boxs', 'lioit'),
		"index-tabs" => __('News Tabs', 'lioit'),
		"index-small-boxs" => __('Small Boxs', 'lioit'),
		"index-videos" => __('Videos', 'lioit')
		
	),
	"disabled" => array (
		"placebo" => "placebo", //REQUIRED!
		
		
		
	),
);



//HOMEPAGE BLOCKS
$of_options_bigboxs_blocks = array(
	"enabled" => array (
		"placebo" => "placebo", //REQUIRED!
		"box-one"	=> __('Box 1', 'lioit'),
		"box-tow"	=> __('Box 2', 'lioit'),
		"box-three"	=> __('Box 3', 'lioit'),
		"box-four"	=> __('Box 4', 'lioit'),
		"box-five"	=> __('Box 5', 'lioit'),
		
	),
	"disabled" => array (
		"placebo" => "placebo", //REQUIRED!
		"box-six" => __('Box 6', 'lioit'),
		"box-seven" => __('Box 7', 'lioit'),
		"box-eight" => __('Box 8', 'lioit'),
		"box-nine" => __('Box 9', 'lioit'),
		"box-ten" => __('Box 10', 'lioit')
		
		
	),
);


//HOMEPAGE BLOCKS
$of_options_smallboxs_blocks = array(
	"enabled" => array (
		
		"sbox-one"	=> __('Box 1', 'lioit'),
		"sbox-tow"	=> __('Box 2', 'lioit'),
		"sbox-three"	=> __('Box 3', 'lioit'),
		"sbox-four"	=> __('Box 4', 'lioit'),
		
		
	),
	"disabled" => array (
		"sbox-five"	=> __('Box 5', 'lioit'),
		"sbox-six" => __('Box 6', 'lioit'),
		"sbox-seven" => __('Box 7', 'lioit'),
		"sbox-eight" => __('Box 8', 'lioit'),
		"sbox-nine" => __('Box 9', 'lioit'),
		"sbox-ten" => __('Box 10', 'lioit')
		
		
	),
);

//STYLESHEET 


$images_url = Lioit_DIR.'/images/';

//Background Images Reader
$bg_images_path = Lioit_DIR. '/images/bg/'; // change this to where you store your bg images
$bg_images_url = Lioit_URI.'/images/bg/'; // change this to where you store your bg images
$bg_images = array();

if ( is_dir($bg_images_path) ) {
    if ($bg_images_dir = opendir($bg_images_path) ) { 
        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
                $bg_images[] = $bg_images_url . $bg_images_file;
            }
        }    
    }
}


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

///////////////////////////////////////////////////////////////////////////////GENERAL	
$of_options[] = array( "name" => __('General', 'lioit'),
					"id" => "General",
					"type" => "heading");
				
$of_options[] = array( "name" => __("Main Logo Upload", 'lioit'),
					"desc" => "",
					
					"id" => "Main Logo Upload",

					"icon" => true,
					"std" => "",
					"type" => "info");	 
$url =  Lioit_URI . '/images/';							
$of_options[] = array( "name" => __('Custom Logo Image', 'lioit'),
					"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'lioit'),
					"id" => "custom_logo",
					"std" => $url . 'logo.png',
					"type" => "upload");
$of_options[] = array( "name" => __('Logo Margin Top', 'lioit'),
					"desc" => __('Set the distance between the wall of the header and your logo.', 'lioit'),
					"id" => "margin_logo",
					"std" => "0",
					"step" => "1",
					"min" => "0",
					"max" => "30",
					"suffix" => "",
					"type" => "range",
					);
					
$of_options[] = array( "name" => __("Custom Favicon", 'lioit'),
					"desc" => "",
				
					"id" => "Custom Favicon",

					"icon" => true,
					"std" => "",
					"type" => "info");	 
$url =  Lioit_URI . '/images/';					
$of_options[] = array( "name" => __('Custom Favicon', 'lioit'),
					"desc" => __('Upload or past the URL for your custom favicon.', 'lioit'),
					"id" => "custom_favicon",
					"std" => $url . 'Lioit.png',
					"type" => "upload");
					
$of_options[] = array( "name" => __("Responsive Layout", 'lioit'),
					"desc" => "",
					"id" => "Responsive Layout",

					"icon" => true,
					"std" => "",
					"type" => "info");						
$of_options[] = array( "name" => __('Enable or Disable Responsive Layout', 'lioit'),
					"desc" => __('Select to enable/disable the responsive layout', 'lioit'),
					"id" => "responsive",
					"std" => "",
					"type" => "checkbox");
					

		


$of_options[] = array( "name" => __("News Ticker", 'lioit'),
					"desc" => "",
					"id" => "News Ticker",

					"icon" => true,
					"std" => "",
					"type" => "info");	
$of_options[] = array( "name" => __('Enable or Disable News Ticker', 'lioit'),
					"desc" => __('On or Off News Ticker', 'lioit'),
					"id" => "newsticker",
					"std" => "",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __("Custom Search", 'lioit'),
					"desc" => "",
					"id" => "Custom Search",

					"icon" => true,
					"std" => "",
					"type" => "info");
						
$of_options[] = array( "name" => __('Enable or Disable Custom Search', 'lioit'),
					"desc" => __('On or Off Search in cats', 'lioit'),
					"id" => "customsearch",
					"std" => "",
					"type" => "checkbox");

$of_options[] = array( "name" => __("Notification Box", 'lioit'),
					"desc" => "",
					"id" => "Notification Box",

					"icon" => true,
					"std" => "",
					"type" => "info");					
$of_options[] = array( "name" => __('Enable or Disable Notification Box', 'lioit'),
					"desc" => __('On or Off  to enable/disable the Notification Box', 'lioit'),
					"id" => "disable_top_bar",
					"std" => "",
					"type" => "checkbox");
					
					
$of_options[] = array( "name" => __('Notification Text','lioit'),
					"desc" => __('Add a drop down notification bar at top of main page.','lioit'),
					"id" => "note",
					"std" => "Check out this cool (optional) notification bar, nice hey?",
					"type" => "text");
					$of_options[] = array( "name" => __('Notification Link Text','lioit'),
					"desc" => __('if you want add link in notification type text here and link below','lioit'),
					"id" => "note_text",
					"std" => "Click Here",
					"type" => "text");
					$of_options[] = array( "name" => __('Notification Link Url','lioit'),
					"desc" => __('add url as you want here','lioit'),
					"id" => "note_url",
					"std" => "http://bit.ly/Vx1YSI",
					"type" => "text");

					
					
					
$of_options[] = array( "name" => __("Additional Scripts", 'lioit'),
					"desc" => "",
					"id" => "Additional Scripts",

					"icon" => true,
					"std" => "",
					"type" => "info");						 
$of_options[] = array( "name" => __('Code (Header)', 'lioit'),
					"desc" => __('The following code will add to the <head> tag. Useful if you need to add additional scripts such as CSS or JS.', 'lioit'),
					"id" => "code_header",
					"std" => "",
					"type" => "textarea");
					
$of_options[] = array( "name" => __('Code (Footer)', 'lioit'),
					"desc" => __('The following code will add to the footer before the closing </body> tag. Useful if you need to Javascript or tracking code.', 'lioit'),
					"id" => "code_footer",
					"std" => "",
					"type" => "textarea");


///////////////////////////////////////////////////////////////////////////////STYLING
				
$of_options[] = array( "name" => __('Styling', 'lioit'),
					"id" => "Styling",
					"type" => "heading");
$of_options[] = array( "name" => __("Theme Skin", 'lioit'),
					"desc" => "",
					"id" => "Skin",
					"std" => "",
					"type" => "info");	 
					
$url =  ADMIN_DIR . 'images/';																	
$of_options[] = array( "name" => __("Choose Your Theme Width", 'lioit'),
	
					"id" => "theme_width",
					"std" => "full",
					"type" => "images",
					"options" => array(
						'full' => $url . 'full.png',

						'fixed' => $url . 'fixed.png'));	
						
							
$url =  ADMIN_DIR . 'images/skins/';
$of_options[] = array( "name" => __("Choose Your Skin", 'lioit'),
	
					"id" => "theme_skin",
					"std" => "skin1",
					"type" => "images",
					"options" => array(
						'skin1' => $url . 'skin1.png',
						'skin2' => $url . 'skin2.png',
						'skin3' => $url . 'skin3.png',
						'skin4' => $url . 'skin4.png',
						'skin5' => $url . 'skin5.png',
						'skin6' => $url . 'skin6.png'));
						
									
$of_options[] = array( "name" => __("Style", 'lioit'),
					"desc" => "",
					"id" => "Style",
					"std" => "",
					"type" => "info");							
$of_options[] = array( "name" => __("General Background Image", 'lioit'),
					"desc" => __('Select a background pattern. You can add your own by dropping the images into your images/bg in the theme folder', 'lioit'),
					"id" => "custom_bg",
					"std" => $bg_images_url."body.png",
					"type" => "tiles",
					"options" => $bg_images,
);

$of_options[] = array( "name" => __('General Background Color', 'lioit'),
					"desc" => __('If you do not want to use an image, you can choose a color, instead.  You want to leave this blank if you would rather have an image pattern as a background.', 'lioit'),
					"id" => "bg_color",
					"std" => "",
					"type" => "color");



$of_options[] = array( "name" => __("Custom", 'lioit'),
					"desc" => "",
					"id" => "Custom",
					"std" => "",
					"type" => "info");		
$of_options[] = array( "name" => __('Custom CSS', 'lioit'),
                    "desc" => __('Quickly add some CSS to your theme by adding it to this block.', 'lioit'),
                    "id" => "custom_css",
                    "std" => "",
                    "type" => "textarea");  


			
///////////////////////////////////////////////////////////////////////////////BLOG
					
$of_options[] = array( "name" => __('Post Elements', 'lioit'),
					"id" => "Post Elements",
					"type" => "heading");
					
$of_options[] = array( "name" => __("Post Elements", 'lioit'),
					"desc" => "",
					"id" => "post_elements",
					"icon" => true,
					"std" => "",
					"type" => "info");	
					
$of_options[] = array( "name" => __('Show Feature Image Into Post ', 'lioit'),
					"id" => "feature_image",
					"std" => "1",
					"type" => "checkbox");
					
					$of_options[] = array( "name" => __('Show Next/Prev Post  ', 'lioit'),
					"id" => "show_postnav",
					"std" => "1",
					"type" => "checkbox");
					
					$of_options[] = array( "name" => __('Show Related Posts ', 'lioit'),
					"id" => "show_related",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Show Author Info Box ', 'lioit'),
					"id" => "show_authorinfo",
					"std" => "1",
					"type" => "checkbox");

$of_options[] = array( "name" => __("Post Meta", 'lioit'),
					"id" => "post_meta",
					"std" => "",
					"type" => "info");	
					
									
$of_options[] = array( "name" => __('Post Meta ', 'lioit'),
					"id" => "show_postmeta",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Author Meta', 'lioit'),
					"id" => "show_postauthor",
					"std" => "1",
					"type" => "checkbox");
					
					
$of_options[] = array( "name" => __('Date Meta', 'lioit'),
					"id" => "show_postdate",
					"std" => "1",
					"type" => "checkbox");
					
					
$of_options[] = array( "name" => __('Category Meta ', 'lioit'),
					"id" => "show_postcat",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Comments Meta ', 'lioit'),
					"id" => "show_postcomm",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Tags Meta ', 'lioit'),
					"id" => "show_posttags",
					"std" => "1",
					"type" => "checkbox");

$of_options[] = array( "name" => __("Share Buttons", 'lioit'),
					"id" => "sahre_buttons",
					"std" => "",
					"type" => "info");	
					

					
					
$of_options[] = array( "name" => __('Post Share Buttons ', 'lioit'),
					"id" => "show_postsocial",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Google+ Button', 'lioit'),
					"id" => "show_gplusbtn",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Tweet Button ', 'lioit'),
					"id" => "show_twittbtn",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => __('Twitter Username', 'lioit'),
                    "desc" => __('Add Twitter Username', 'lioit'),
                    "id" => "twittbtnname",
                    "std" => "#",
                    "type" => "text");
					
$of_options[] = array( "name" => __('Facebook Like Button ', 'lioit'),
					"id" => "show_facelikebtn",
					"std" => "1",
					"type" => "checkbox");
$of_options[] = array( "name" => __('Digg share Button ', 'lioit'),
					"id" => "show_diggshare",
					"std" => "1",
					"type" => "checkbox");
					

					
					
					
					
					
					
					
					
					
				

									
///////////////////////////////////////////////////////////////////////////////HOME LAYOUT MANAGER

$of_options[] = array( "name" => __('Home', 'lioit'),
					"id" => "Home",
                    "type" => "heading");
$of_options[] = array( "name" => __("Home Layout", 'lioit'),
					"desc" => "",
					"id" => "Home Layout",
					"std" => "",
					"type" => "info");	
					
	$of_options[] = array( "name" => __('Display Blog in Home ', 'lioit'),
					"id" => "show_blog",
					"std" => "0",
					"type" => "checkbox");  
				  	
 $of_options[] = array( "name" => __("Layout Manager", 'lioit'),
					"desc" => "",
					"id" => "Layout Manager",

					"std" => "",
					"type" => "info");	 			
$of_options[] = array( "name" => __('Homepage Layout Manager', 'lioit'),
					"desc" => __('Organize how you want the layout to appear on the homepage.', 'lioit'),
					"id" => "homepage_blocks",

					"std" => $of_options_homepage_blocks,
					"type" => "sorter");
					
					$of_options[] = array( "name" => __("Latest Posts", 'lioit'),
					"desc" => "",
					"id" => "Latest Posts",
					"std" => "",
					"type" => "info");		
					
					
	    $of_options[] = array( "name" => __('How Many Latest Posts', 'lioit'),
					"desc" => __('How many Latest Posts do you want to show on the homepage.', 'lioit'),
					"id" => "latestcount",
					"std" => "9",
					"step" => "1",
					"min" => "1",
					"max" => "20",
					"suffix" => "",
					"type" => "range",
					);

				
				
				
				
				
//////////////////////////////////////////////////////////////////////////////FLICK

$of_options[] = array( "name" => __('Featured Posts', 'lioit'),
					"id" => "Featured Posts",
					"type" => "heading");

 $of_options[] = array( "name" => __("Top Featured Slider ", 'lioit'),
					"desc" => "",
					"id" => "Featured Slider",
					"std" => "",
					"type" => "info");
	
$of_options[] = array( "name" => __('Show Featured Slider', 'lioit'),
					"desc" => __('On or Off Featured Slider in Home ', 'lioit'),
					"id" => "show_featured",
					"std" => "",
					"type" => "checkbox");
									
$of_options[] = array( "name" => __("Featured Category", 'lioit'),
					"desc" => __("Select Category for Featured Posts", 'lioit'),
					"id" => "cat_featured1",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
$of_options[] = array( "name" => __('How Many Carousel Posts', 'lioit'),
					"desc" => __('How many Carousel items do you want to show on the homepage.', 'lioit'),
					"id" => "featuredcount1",
					"std" => "10",
					"step" => "1",
					"min" => "1",
					"max" => "60",
					"suffix" => "",
					"type" => "range",
					);
					
					
$of_options[] = array( "name" => __("Featured Slider", 'lioit'),
					"desc" => "",
					"id" => "Featured Slider",
					"std" => "",
					"type" => "info");
	
				
$of_options[] = array( "name" => __("Featured Category", 'lioit'),
					"desc" => __("Select Category for Featured Posts", 'lioit'),
					"id" => "cat_featured",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
$of_options[] = array( "name" => __('How Many Carousel Posts', 'lioit'),
					"desc" => __('How many Carousel items do you want to show on the homepage.', 'lioit'),
					"id" => "featuredcount",
					"std" => "10",
					"step" => "1",
					"min" => "1",
					"max" => "60",
					"suffix" => "",
					"type" => "range",
					);

/////////////////////////////////////////////////////////////////////////FEATURED TABS


$of_options[] = array( "name" => __('Carousel', 'lioit'),
					"id" => "Carousel",
					"type" => "heading");

		 $of_options[] = array( "name" => __("Carousel Slider", 'lioit'),
					"desc" => "",
					"id" => "Carousel Slider",
					"std" => "",
					"type" => "info");		
					
		$of_options[] = array( "name" => __('How Many Carousel Posts', 'lioit'),
					"desc" => __('Type Title .', 'lioit'),
					"id" => "carotitle",
					"std" => __("LATEST VIDEOS", 'lioit'),
					"type" => "text",
					);
							
		$of_options[] = array( "name" => __('Carousel Category', 'lioit'),
					"desc" => __('Select to show posts in Carousel Posts.', 'lioit'),
					"id" => "cat_carouselposts",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
	    $of_options[] = array( "name" => __('How Many Carousel Posts', 'lioit'),
					"desc" => __('How many Carousel items do you want to show on the homepage.', 'lioit'),
					"id" => "carocount",
					"std" => "6",
					"step" => "1",
					"min" => "1",
					"max" => "60",
					"suffix" => "",
					"type" => "range",
					);
					
					
		
		                        		
/////////////////////////////////////////////////////////////////////////Big News Boxs

$of_options[] = array( "name" => __('Big Boxs', 'lioit'),
					"id" => "Big Boxs",
					"type" => "heading");

$of_options[] = array( "name" => __("Big News Boxs", 'lioit'),
					"desc" => "",
					"id" => "news_boxs_title",
					"std" => "",
					"type" => "info");	

$of_options[] = array( "name" => __("News Boxs Nubmer", 'lioit'),
					"desc" => __("Big News Boxs Nubmer to show", 'lioit'),
					"id" => "bigboxs_blocks",
					"std" => $of_options_bigboxs_blocks,
					"type" => "sorter");
	
 $of_options[] = array( "name" => __("News Box 1", 'lioit'),
					"desc" => "",
					"id" => "News Box 1",
					"std" => "",
					"type" => "info");	 	
			$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "one_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
						
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_one",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
	 $of_options[] = array( "name" => __("News Box 2", 'lioit'),
					"desc" => "",
					"id" => "News Box 2",
					"std" => "",
					"type" => "info");	 				
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "tow_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
						
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_tow",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
					 $of_options[] = array( "name" => __("News Box 3", 'lioit'),
					"desc" => "",
					"id" => "News Box 3",
					"std" => "",
					"type" => "info");	 
					
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "three_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
						
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_three",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
				
				
				 $of_options[] = array( "name" => __("News Box 4", 'lioit'),
					"desc" => "",
					"id" => "News Box 4",
					"std" => "",
					"type" => "info");	 	
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "four_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_four",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
					 $of_options[] = array( "name" => __("News Box5", 'lioit'),
					"desc" => "",
					"id" => "News Box 5",
					"std" => "",
					"type" => "info");	 
					$url =  ADMIN_DIR . 'images/';
					$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "five_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_five",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					 $of_options[] = array( "name" => __("News Box 6", 'lioit'),
					"desc" => "",
					"id" => "News Box 6",
					"std" => "",
					"type" => "info");	 
					
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "six_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_six",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
					 $of_options[] = array( "name" => __("News Box 7", 'lioit'),
					"desc" => "",
					"id" => "News Box 7",
					"std" => "",
					"type" => "info");	 
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "seven_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_seven",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					 $of_options[] = array( "name" => __("News Box 8", 'lioit'),
					"desc" => "",
					"id" => "News Box 8",
					"std" => "",
					"type" => "info");	 
					
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "eight_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_eight",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					 $of_options[] = array( "name" => __("News Box 9", 'lioit'),
					"desc" => "",
					"id" => "News Box 9",
					"std" => "",
					"type" => "info");	 
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "nine_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_nine",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					 $of_options[] = array( "name" => __("News Box 10", 'lioit'),
					"desc" => "",
					"id" => "News Box 10",
					"std" => "",
					"type" => "info");	 
					$url =  ADMIN_DIR . 'images/';
			$of_options[] = array( "name" => __("News Box Layout", 'lioit'),
					"desc" => __("Select Box Style. ", 'lioit'),
					"id" => "ten_layout",
					"std" => "bigboxs1",
					"type" => "images",
					"options" => array(
						'bigboxs1' => $url . 'bigboxs1.png',
						'bigboxs2' => $url . 'bigboxs2.png'));
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "bigbox_ten",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
					
									
/////////////////////////////////////////////////////////////////////////Small News Boxs

$of_options[] = array( "name" => __('Small Boxs', 'lioit'),
					"id" => "Small Boxs",
					"type" => "heading");

$of_options[] = array( "name" => __("Small News Boxs", 'lioit'),
					"desc" => "",
					"id" => "news_boxs_title",
					"std" => "",
					"type" => "info");	
					

$of_options[] = array( "name" => __("News Boxs", 'lioit'),
					"desc" => __("Small News Boxs Nubmer to show", 'lioit'),
					"id" => "smallboxs_blocks",
					"std" => $of_options_smallboxs_blocks,
					"type" => "sorter");
					
					
			 $of_options[] = array( "name" => __("News Box 1", 'lioit'),
					"desc" => "",
					"id" => "News Box 1",
					"std" => "",
					"type" => "info");	 
								
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_one",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
			 $of_options[] = array( "name" => __("News Box 2", 'lioit'),
					"desc" => "",
					"id" => "News Box 2",
					"std" => "",
					"type" => "info");				
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_tow",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
			 $of_options[] = array( "name" => __("News Box 3", 'lioit'),
					"desc" => "",
					"id" => __("News Box 3", 'lioit'),
					"std" => "",
					"type" => "info");				
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_three",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
			 $of_options[] = array( "name" => __("News Box 4", 'lioit'),
					"desc" => "",
					"id" => "News Box 4",
					"std" => "",
					"type" => "info");			
			$of_options[] = array( "name" => __("News Box 4", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_four",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
					
 $of_options[] = array( "name" => __("News Box 5", 'lioit'),
					"desc" => "",
					"id" => "News Box 5",
					"std" => "",
					"type" => "info");	
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_five",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
			 $of_options[] = array( "name" => __("News Box 6", 'lioit'),
					"desc" => "",
					"id" => "News Box 6",
					"std" => "",
					"type" => "info");			
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_six",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
			 $of_options[] = array( "name" => __("News Box 7", 'lioit'),
					"desc" => "",
					"id" => "News Box 7",
					"std" => "",
					"type" => "info");			
					
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_seven",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
			 $of_options[] = array( "name" => __("News Box 8", 'lioit'),
					"desc" => "",
					"id" => "News Box 8",
					"std" => "",
					"type" => "info");			
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_eight",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
			 $of_options[] = array( "name" => __("News Box 9", 'lioit'),
					"desc" => "",
					"id" => __("News Box 9", 'lioit'),
					"std" => "",
					"type" => "info");			
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_nine",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
			 $of_options[] = array( "name" => __("News Box 10", 'lioit'),
					"desc" => "",
					"id" => "News Box 10",
					"std" => "",
					"type" => "info");			
			$of_options[] = array( "name" => __("News Box Category", 'lioit'),
					"desc" => __("Select Category for News Box", 'lioit'),
					"id" => "smallbox_ten",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					




					


					
					

                    
                    
/////////////////////////////////////////////////////////////////////////FEATURED TABS


$of_options[] = array( "name" => __('News In Tabs', 'lioit'),
					"id" => "News In Tabs",
					"type" => "heading");
		
		 $of_options[] = array( "name" => __("Tab 1", 'lioit'),
					"desc" => "",
					"id" => "Tab 1",
					"std" => "",
					"type" => "info");
		$of_options[] = array( "name" => __('Show Tab', 'lioit'),
					"desc" => __('On or Off Tab ', 'lioit'),
					"id" => "tab1_show",
					"std" => "",
					"type" => "checkbox");	
		$of_options[] = array( "name" => __('Tab Title', 'lioit'),
                    "desc" => __('type Title here.', 'lioit'),
                    "id" => "tab1_title",
                    "std" => "Tab 1",
                    "type" => "text");
		
		$of_options[] = array( "name" => __('Tab Category', 'lioit'),
					"desc" => __('Select to show posts in Tab.', 'lioit'),
					"id" => "tab1_category",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
				 $of_options[] = array( "name" => __("Tab 2", 'lioit'),
					"desc" => "",
					"id" => "Tab 2",
					"std" => "",
					"type" => "info");
		$of_options[] = array( "name" => __('Show Tab', 'lioit'),
					"desc" => __('On or Off Tab ', 'lioit'),
					"id" => "tab2_show",
					"std" => "",
					"type" => "checkbox");	
				$of_options[] = array( "name" => __('Tab Title', 'lioit'),
                    "desc" => __('type Title here.', 'lioit'),
                    "id" => "tab2_title",
                    "std" => "Tab 2",
                    "type" => "text");
					
					$of_options[] = array( "name" => __('Tab Category', 'lioit'),
					"desc" => __('Select to show posts in Tab.', 'lioit'),
					"id" => "tab2_category",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
				
					 $of_options[] = array( "name" => __("Tab 3", 'lioit'),
					"desc" => "",
					"id" => "Tab 3",
					"std" => "",
					"type" => "info");
					$of_options[] = array( "name" => __('Show Tab', 'lioit'),
					"desc" => __('On or Off Tab ', 'lioit'),
					"id" => "tab3_show",
					"std" => "",
					"type" => "checkbox");		
					
					$of_options[] = array( "name" => __('Tab Title', 'lioit'),
                    "desc" => __('type Title here.', 'lioit'),
                    "id" => "tab3_title",
                    "std" => "Tab 3",
                    "type" => "text");
					$of_options[] = array( "name" => __('Tab Category', 'lioit'),
					"desc" => __('Select to show posts in Tab.', 'lioit'),
					"id" => "tab3_category",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
					
					
					 $of_options[] = array( "name" => __("Tab 4", 'lioit'),
					"desc" => "",
					"id" => "Tab 4",
					"std" => "",
					"type" => "info");	
					$of_options[] = array( "name" => __('Show Tab', 'lioit'),
					"desc" => __('On or Off Tab ', 'lioit'),
					"id" => "tab4_show",
					"std" => "",
					"type" => "checkbox");	
					$of_options[] = array( "name" => __('Tab Title', 'lioit'),
                    "desc" => __('type Title here.', 'lioit'),
                    "id" => "tab4_title",
                    "std" => "Tab 4",
                    "type" => "text");
					$of_options[] = array( "name" => __('Tab Category', 'lioit'),
					"desc" => __('Select to show posts in Tab.', 'lioit'),
					"id" => "tab4_category",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
				
				
					 $of_options[] = array( "name" => __("Tab 5", 'lioit'),
					"desc" => "",
					"id" => "Tab 5",
					"std" => "",
					"type" => "info");	
					$of_options[] = array( "name" => __('Show Tab', 'lioit'),
					"desc" => __('On or Off Tab ', 'lioit'),
					"id" => "tab5_show",
					"std" => "",
					"type" => "checkbox");	
					$of_options[] = array( "name" => __('Tab Title', 'lioit'),
                    "desc" => __('type Title here.', 'lioit'),
                    "id" => "tab5_title",
                    "std" => "Tab 5",
                    "type" => "text");
					$of_options[] = array( "name" => __('Tab Category', 'lioit'),
					"desc" => __('Select to show posts in Tab.', 'lioit'),
					"id" => "tab5_category",
					"std" => "",
					"type" => "select",
					"options" => $of_categories);
				
					

					


					
					

                    
                    
              
	

/////////////////////////////////////////////////////////////////////////MARKETING                    

$of_options[] = array( "name" => __('Banners', 'lioit'),
					"id" => "Banners",
					"type" => "heading");

$of_options[] = array( "name" => __("Top Banner", 'lioit'),
					"desc" => "",
					"id" => "Banners",
					"std" => "",
					"type" => "info");		

$of_options[] = array( "name" => __('Enable or Disable Banner', 'lioit'),
					"desc" => __('Select to enable/disable the Banner', 'lioit'),
					"id" => "show_top_banner",
					"std" => "1",
					"type" => "checkbox");                    
$url =  Lioit_URI . '/images/';		
$of_options[] = array( "name" => __('Banner Img', 'lioit'),
					"desc" => __('Upload or past the URL for your Images', 'lioit'),
					"id" => "top_banner_img",
					"std" => $url . 'headbanner.png',
					"type" => "upload");
                    
$of_options[] = array( "name" => __('Banner Link', 'lioit'),
                    "desc" => __('Add a Link Banner', 'lioit'),
                    "id" => "top_banner_url",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");
$of_options[] = array( "name" => __('Alternative Text', 'lioit'),
                    "desc" => __('Add a Title Banner', 'lioit'),
                    "id" => "top_banner_alt",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");
					
$of_options[] = array( "name" => __("Bottom Banner ", 'lioit'),
					"desc" => "",
					"id" => "Banners",
					"std" => "",
					"type" => "info");		

$of_options[] = array( "name" => __('Enable or Disable Banner', 'lioit'),
					"desc" => __('Select to enable/disable the Banner', 'lioit'),
					"id" => "show_btm_banner",
					"std" => "1",
					"type" => "checkbox");                    
$url =  Lioit_URI . '/images/';		
$of_options[] = array( "name" => __('Banner Img', 'lioit'),
					"desc" => __('Upload or past the URL for your Images', 'lioit'),
					"id" => "btm_banner_img",
					"std" => $url . 'headbanner.png',
					"type" => "upload");
                    
$of_options[] = array( "name" => __('Banner Link', 'lioit'),
                    "desc" => __('Add a Link Banner', 'lioit'),
                    "id" => "btm_banner_url",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");
$of_options[] = array( "name" => __('Alternative Text', 'lioit'),
                    "desc" => __('Add a Title Banner', 'lioit'),
                    "id" => "btm_banner_alt",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");
					
$of_options[] = array( "name" => __("Above Article Banner ", 'lioit'),
					"desc" => "",
					"id" => "Banners",
					"std" => "",
					"type" => "info");		

$of_options[] = array( "name" => __('Enable or Disable Banner', 'lioit'),
					"desc" => __('Select to enable/disable the Banner', 'lioit'),
					"id" => "show_posttop_banner",
					"std" => "1",
					"type" => "checkbox");                    
$url =  Lioit_URI . '/images/';		
$of_options[] = array( "name" => __('Banner Img', 'lioit'),
					"desc" => __('Upload or past the URL for your Images', 'lioit'),
					"id" => "posttop_banner_img",
					"std" => $url . 'headbanner.png',
					"type" => "upload");
                    
$of_options[] = array( "name" => __('Banner Link', 'lioit'),
                    "desc" => __('Add a Link Banner', 'lioit'),
                    "id" => "posttop_banner_url",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");
$of_options[] = array( "name" => __('Alternative Text', 'lioit'),
                    "desc" => __('Add a Title Banner', 'lioit'),
                    "id" => "posttop_banner_alt",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text"); 
					
$of_options[] = array( "name" => __("Below Article Banner ", 'lioit'),
					"desc" => "",
					"id" => "Banners",
					"std" => "",
					"type" => "info");		

$of_options[] = array( "name" => __('Enable or Disable Banner', 'lioit'),
					"desc" => __('Select to enable/disable the Banner', 'lioit'),
					"id" => "show_postbtm_banner",
					"std" => "1",
					"type" => "checkbox");                    
$url =  Lioit_URI . '/images/';		
$of_options[] = array( "name" => __('Banner Img', 'lioit'),
					"desc" => __('Upload or past the URL for your Images', 'lioit'),
					"id" => "postbtm_banner_img",
					"std" => $url . 'headbanner.png',
					"type" => "upload");
                    
$of_options[] = array( "name" => __('Banner Link', 'lioit'),
                    "desc" => __('Add a Link Banner', 'lioit'),
                    "id" => "postbtm_banner_url",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");
$of_options[] = array( "name" => __('Alternative Text', 'lioit'),
                    "desc" => __('Add a Title Banner', 'lioit'),
                    "id" => "postbtm_banner_alt",
                    "std" => "http://www.rast-chin.com",
                    "type" => "text");                 

                    
                    
                    
/////////////////////////////////////////////////////////////////////////SOCIAL

$of_options[] = array( "name" => __('Social', 'lioit'),
					"id" => "Social",
					"type" => "heading");


					
$of_options[] = array( "name" => __("Enable or Disable Social icons", 'lioit'),
					"desc" => "",
					"id" => "Enable or Disable Social icons",

					"icon" => true,
					"std" => "",
					"type" => "info");	
$of_options[] = array( "name" => __('Social icons in Header', 'lioit'),
					"desc" => __('On or Off Social icons in Header ', 'lioit'),
					"id" => "social_header",
					"std" => "",
					"type" => "checkbox");
$of_options[] = array( "name" => __('Social icons in Footer', 'lioit'),
					"desc" => __('On or Off Social icons in Footer ', 'lioit'),
					"id" => "social_footer",
					"std" => "",
					"type" => "checkbox");

$of_options[] = array( "name" => __("Social Icons", 'lioit'),
					"desc" => "",
					"id" => "Social Icons",
					"std" => "",
					"type" => "info");
																
$of_options[] = array( "name" => __('Twitter', 'lioit'),
                    "desc" => __('Add your twitter url.', 'lioit'),
                    "id" => "twitter",
                    "std" => "http://twitter.com/#!/lioit",
                    "type" => "text");
					
$of_options[] = array( "name" => __('Dribbble', 'lioit'),
                    "desc" => __('Add your dribbble url.', 'lioit'),
                    "id" => "dribbble",
                    "std" => "http://dribbble.com/lioit",
                    "type" => "text");

$of_options[] = array( "name" => __('Website', 'lioit'),
                    "desc" => __('Add your Website url.', 'lioit'),
                    "id" => "wordpress",
                    "std" => "https://lioit.com",
                    "type" => "text");

$of_options[] = array( "name" => __('skype', 'lioit'),
                    "desc" => __('Add your skype nme.', 'lioit'),
                    "id" => "skype",
                    "std" => "lioit.com",
                    "type" => "text");

$of_options[] = array( "name" => __('Facebook', 'lioit'),
                    "desc" => __('Add your facebook url.', 'lioit'),
                    "id" => "facebook",
                    "std" => "https://www.facebook.com/pages/lioit/174221319304233",
                    "type" => "text");
					

					

					
$of_options[] = array( "name" => __('Youtube', 'lioit'),
                    "desc" => __('Add your youtube url.', 'lioit'),
                    "id" => "youtube",
                    "std" => "#",
                    "type" => "text");

$of_options[] = array( "name" => __('Vimeo', 'lioit'),
                    "desc" => __('Add your vimeo url.', 'lioit'),
                    "id" => "vimeo",
                    "std" => "http://vimeo.com/user7001558",
                    "type" => "text");

$of_options[] = array( "name" => __('RSS', 'lioit'),
                    "desc" => __('Add your rss url.', 'lioit'),
                    "id" => "rss",
                    "std" => "#",
                    "type" => "text");	
                    
$of_options[] = array( "name" => __('stublupon', 'lioit'),
                    "desc" => __('Add your stublupon url.', 'lioit'),
                    "id" => "stublupon",
                    "std" => "http://www.stublupon.com/#/people/lioit/",
                    "type" => "text");
                    
$of_options[] = array( "name" => __('tumblr', 'lioit'),
                    "desc" => __('Add your tumblr url.', 'lioit'),
                    "id" => "tumblr",
                    "std" => "#",
                    "type" => "text");

                   
					
/////////////////////////////////////////////////////////////////////////FOOTER
					
$of_options[] = array( "name" => __('Footer', 'lioit'),
					"id" => "Footer",
					"type" => "heading");
					
$of_options[] = array( "name" => __("Custom Copyrights", 'lioit'),
					"desc" => "",
					"id" => "Copyrights",
					"std" => "",
					"type" => "info");						
$of_options[] = array( "name" => __('Custom Copyright', 'lioit'),
                    "desc" => __('Add your own custom text/html for copyright region.', 'lioit'),
                    "id" => "footercopyrights",
                    "std" => __("Some Text Here &copy; Copyright 2012. Powered by WordPress.", 'lioit'),
                    "type" => "textarea");

					
					
/////////////////////////////////////////////////////////////////////////Buckup					
$of_options[] = array( "name" => __("Backup", 'lioit'),
					"id" => "Backup",
					"type" => "heading");

$of_options[] = array( "name" => __("Backup and Restore", 'lioit'),
					"desc" => "",
					"id" => "Backup and Restore",
					"std" => "",
					"type" => "info");	

					
$of_options[] = array( "name" => __("Backup and Restore Options", 'lioit'),
                    "id" => "of_backup",
                    "std" => "",
                    "type" => "backup",
					"desc" => __('You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.', 'lioit'),
					);

$of_options[] = array( "name" => __("Transfer Options", 'lioit'),
					"desc" => "",
					"id" => "Transfer Options",
					"std" => "",
					"type" => "info");	
										
$of_options[] = array( "name" => __("Transfer Theme Options Data", 'lioit'),
                    "id" => "of_transfer",
                    "std" => "",
                    "type" => "transfer",
					"desc" => __('You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".
						', 'lioit'),
					);
	}
}
?>